package com.atid.app.atx.bluetooth.inventory.rfid.util;

import com.atid.app.atx.bluetooth.inventory.rfid.R;
import com.atid.lib.transport.types.ConnectType;
import com.atid.lib.types.DeviceType;

public class ResUtil {

	public static int getProductImage(DeviceType type) {
		switch (type) {
		case AT188:
		case AT188N:
		case AT188NP:
			return R.drawable.ic_product_at188;
		case AT288NS:
			return R.drawable.ic_product_at288ns;
		case AT388:
			return R.drawable.ic_product_at388;
		case ATS100:
			return R.drawable.ic_product_ats100;
		case ATS200:
			return R.drawable.ic_product_ats200;
		case ATD100:
			return R.drawable.ic_product_atd100;
		default:
			return R.drawable.ic_unknown;
		}
	}
	
	public static int getConnectTypeImage(ConnectType type) {
		switch (type) {
		case Bluetooth:
			return R.drawable.ic_connect_type_bluetooth;
		case USB:
			return R.drawable.ic_connect_type_usb;
		default:
			return R.drawable.ic_unknown;
		}
	}
}
